Ystk(ヨシタカ)が気になったWeb制作に関する情報をメモするためのブログです。

Wordpress

vccwで新規プロジェクトをvagrant upしたらエラーになる

投稿日:2017年9月20日 更新日:

vccwで新規プロジェクトを作って、vagrant upをすると下記の様なエラーが表示されることがあります。

TASK [Run `wp core download`] **************************************************
fatal: [test.dev]: FAILED! => {"changed": true, "cmd": ["wp", "core", "download", "--path=/var/www/html/estate", "--version=latest", "--force"], "delta": "0:00:09.164315", "end": "2017-09-20 10:50:19.845523", "failed": true, "rc": 1, "start": "2017-09-20 10:50:10.681208", "stderr": "Error: Couldn't extract WordPress archive. unable to decompress gzipped phar archive \"/tmp/wp_59c247e376f91.tar.gz\" to temporary file", "stderr_lines": ["Error: Couldn't extract WordPress archive. unable to decompress gzipped phar archive \"/tmp/wp_59c247e376f91.tar.gz\" to temporary file"], "stdout": "Downloading WordPress 4.8.2 (en_US)...\nmd5 hash verified: 2e8744a702a3d9527782d9135a4c9544", "stdout_lines": ["Downloading WordPress 4.8.2 (en_US)...", "md5 hash verified: 2e8744a702a3d9527782d9135a4c9544"]}
        to retry, use: --limit @/vagrant/provision/playbook.retry

PLAY RECAP *********************************************************************
test.dev                   : ok=45   changed=40   unreachable=0    failed=1

Ansible failed to complete successfully. Any error output should be
visible above. Please fix these errors and try again.

このような感じでエラーが出て、site.ymlのhostnameで指定したURLを開いても「Forbidden」が表示されます。

エラーの原因

原因はsite.ymlのversionが「latest」langが「ja」になっていて、日本語版のWordPressと英語版のWordPressの最新バージョンが違うとエラーになります。
バージョン確認は、公式のホームページを確認してください。

解決方法

この問題を解決するには、versionを「latest」から日本語版のバージョンに合わせるだけです。

version: 4.8.1
lang: ja

新規プロジェクトでvagrant upが出来ない場合は、上記の方法を試してみてください!

-Wordpress
-,

執筆者:


comment

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

関連記事

no image

WordPressの管理画面を開くとエラーになる現象

会社で運用している開発用のWebサーバーで、WordPressの管理画面に入ろうとした際に、エラーで入れなくなる現象が発生した。 開発用のサーバーなので、実際に稼働しているWordpressとはバージ …

no image

WP Super Cacheで「Warning: Cannot modify header information …」のエラーの解決方法

会社の同僚に「ブログにエラーが出てるよ」と言われ、原因を調べてみました。 まず、ブログ見てることに驚きだったが全く気づかなかったので感謝。 エラー内容 Warning: Cannot modify h …

執筆がホントに楽!WordPressにMarkdownプラグインを追加

WordPressでブログを書く場合は「ビジュアル」と「テキスト」で記事を書きますが、楽に執筆ができる方法があるので紹介します。 関連記事を表示VirtualBoxをアップデートしたらvagrant …

VirtualBoxをアップデートしたらvagrant upできなくなった!?

VirtualBoxをアップデートしたらvagrant upできなくなった!? VirtualBoxを5.1.16にアップデートしたところ、vccwで開発しているプロジェクトで vagrant upが …